/*
 * JPA entity Metadaten
 *
 */
package de.ivu.elect.business.ergebnis.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.ergebnis.entity.ErgebnisConstants;
import de.ivu.elect.jee.faces.Messages;

@Named(ErgebnisMeta.COMPONENT_NAME)
@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class ErgebnisMeta implements de.ivu.elect.jee.entity.Meta
{

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "ergebnisMeta";

  @Inject
  private transient Messages messages;

  public ErgebnisMeta() {
      super();
  }

  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }

  @Override
  public String getEinzahlMessageKey(){
    return ErgebnisConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public  String getMehrzahlMessageKey(){
    return ErgebnisConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }


  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage(){
    return getMessage(getMehrzahlMessageKey());
  }



  public String getAusloeserEinzahlMessageKey(){
    return ErgebnisConstants.MESSAGE_KEY_AUSLOESER_EINZAHL;
  }

  public String getAusloeserMehrzahlMessageKey(){
    return ErgebnisConstants.MESSAGE_KEY_AUSLOESER_MEHRZAHL;
  }


  public String getAusloeserEinzahlMessage(){
    return getMessage(getAusloeserEinzahlMessageKey());
  }

  public String getAusloeserMehrzahlMessage(){
    return getMessage(getAusloeserMehrzahlMessageKey());
  }



  public boolean isAusloeserRequired() {
    return !ErgebnisConstants.AUSLOESER_NULLABLE;
  }

  public java.lang.String getAusloeserDefaultValue() {
    return ErgebnisConstants.AUSLOESER_DEFAULT_VALUE;
  }

  public int getAusloeserMaxLength() {
    return ErgebnisConstants.AUSLOESER_MAX_LENGTH;
  }

  public String getBemerkungEinzahlMessageKey(){
    return ErgebnisConstants.MESSAGE_KEY_BEMERKUNG_EINZAHL;
  }

  public String getBemerkungMehrzahlMessageKey(){
    return ErgebnisConstants.MESSAGE_KEY_BEMERKUNG_MEHRZAHL;
  }


  public String getBemerkungEinzahlMessage(){
    return getMessage(getBemerkungEinzahlMessageKey());
  }

  public String getBemerkungMehrzahlMessage(){
    return getMessage(getBemerkungMehrzahlMessageKey());
  }



  public boolean isBemerkungRequired() {
    return !ErgebnisConstants.BEMERKUNG_NULLABLE;
  }

  public java.lang.String getBemerkungDefaultValue() {
    return ErgebnisConstants.BEMERKUNG_DEFAULT_VALUE;
  }

  public int getBemerkungMaxLength() {
    return ErgebnisConstants.BEMERKUNG_MAX_LENGTH;
  }

  public String getEingangssequenznummerEinzahlMessageKey(){
    return ErgebnisConstants.MESSAGE_KEY_EINGANGSSEQUENZNUMMER_EINZAHL;
  }

  public String getEingangssequenznummerMehrzahlMessageKey(){
    return ErgebnisConstants.MESSAGE_KEY_EINGANGSSEQUENZNUMMER_MEHRZAHL;
  }


  public String getEingangssequenznummerEinzahlMessage(){
    return getMessage(getEingangssequenznummerEinzahlMessageKey());
  }

  public String getEingangssequenznummerMehrzahlMessage(){
    return getMessage(getEingangssequenznummerMehrzahlMessageKey());
  }



  public boolean isEingangssequenznummerRequired() {
    return !ErgebnisConstants.EINGANGSSEQUENZNUMMER_NULLABLE;
  }

  public java.lang.Long getEingangssequenznummerDefaultValue() {
    return ErgebnisConstants.EINGANGSSEQUENZNUMMER_DEFAULT_VALUE;
  }

  public int getEingangssequenznummerMaxLength() {
    return ErgebnisConstants.EINGANGSSEQUENZNUMMER_MAX_LENGTH;
  }

  public long getEingangssequenznummerMinValue() {
    return ErgebnisConstants.EINGANGSSEQUENZNUMMER_MIN_VALUE;
  }

  public long getEingangssequenznummerMaxValue() {
    return ErgebnisConstants.EINGANGSSEQUENZNUMMER_MAX_VALUE;
  }

  public String getErgebnisartEinzahlMessageKey(){
    return ErgebnisConstants.MESSAGE_KEY_ERGEBNISART_EINZAHL;
  }

  public String getErgebnisartMehrzahlMessageKey(){
    return ErgebnisConstants.MESSAGE_KEY_ERGEBNISART_MEHRZAHL;
  }


  public String getErgebnisartEinzahlMessage(){
    return getMessage(getErgebnisartEinzahlMessageKey());
  }

  public String getErgebnisartMehrzahlMessage(){
    return getMessage(getErgebnisartMehrzahlMessageKey());
  }



  public boolean isErgebnisartRequired() {
    return !ErgebnisConstants.ERGEBNISART_NULLABLE;
  }

  public de.ivu.elect.business.ergebnis.entity.Ergebnisart getErgebnisartDefaultValue() {
    return ErgebnisConstants.ERGEBNISART_DEFAULT_VALUE;
  }


  public String getErgebnisStatusEinzahlMessageKey(){
    return ErgebnisConstants.MESSAGE_KEY_ERGEBNIS_STATUS_EINZAHL;
  }

  public String getErgebnisStatusMehrzahlMessageKey(){
    return ErgebnisConstants.MESSAGE_KEY_ERGEBNIS_STATUS_MEHRZAHL;
  }


  public String getErgebnisStatusEinzahlMessage(){
    return getMessage(getErgebnisStatusEinzahlMessageKey());
  }

  public String getErgebnisStatusMehrzahlMessage(){
    return getMessage(getErgebnisStatusMehrzahlMessageKey());
  }



  public boolean isErgebnisStatusRequired() {
    return !ErgebnisConstants.ERGEBNIS_STATUS_NULLABLE;
  }

  public de.ivu.elect.business.ergebnis.entity.ErgebnisStatus getErgebnisStatusDefaultValue() {
    return ErgebnisConstants.ERGEBNIS_STATUS_DEFAULT_VALUE;
  }


  public String getNameEinzahlMessageKey(){
    return ErgebnisConstants.MESSAGE_KEY_NAME_EINZAHL;
  }

  public String getNameMehrzahlMessageKey(){
    return ErgebnisConstants.MESSAGE_KEY_NAME_MEHRZAHL;
  }


  public String getNameEinzahlMessage(){
    return getMessage(getNameEinzahlMessageKey());
  }

  public String getNameMehrzahlMessage(){
    return getMessage(getNameMehrzahlMessageKey());
  }



  public boolean isNameRequired() {
    return !ErgebnisConstants.NAME_NULLABLE;
  }

  public java.lang.String getNameDefaultValue() {
    return ErgebnisConstants.NAME_DEFAULT_VALUE;
  }

  public int getNameMaxLength() {
    return ErgebnisConstants.NAME_MAX_LENGTH;
  }

  public String getSitzberechnungsalgorithmusEinzahlMessageKey(){
    return ErgebnisConstants.MESSAGE_KEY_SITZBERECHNUNGSALGORITHMUS_EINZAHL;
  }

  public String getSitzberechnungsalgorithmusMehrzahlMessageKey(){
    return ErgebnisConstants.MESSAGE_KEY_SITZBERECHNUNGSALGORITHMUS_MEHRZAHL;
  }


  public String getSitzberechnungsalgorithmusEinzahlMessage(){
    return getMessage(getSitzberechnungsalgorithmusEinzahlMessageKey());
  }

  public String getSitzberechnungsalgorithmusMehrzahlMessage(){
    return getMessage(getSitzberechnungsalgorithmusMehrzahlMessageKey());
  }



  public boolean isSitzberechnungsalgorithmusRequired() {
    return !ErgebnisConstants.SITZBERECHNUNGSALGORITHMUS_NULLABLE;
  }

  public de.ivu.elect.business.wahl.entity.WahlartSitzberechnungsalgorithmus getSitzberechnungsalgorithmusDefaultValue() {
    return ErgebnisConstants.SITZBERECHNUNGSALGORITHMUS_DEFAULT_VALUE;
  }


  public String getZeitstempelEinzahlMessageKey(){
    return ErgebnisConstants.MESSAGE_KEY_ZEITSTEMPEL_EINZAHL;
  }

  public String getZeitstempelMehrzahlMessageKey(){
    return ErgebnisConstants.MESSAGE_KEY_ZEITSTEMPEL_MEHRZAHL;
  }


  public String getZeitstempelEinzahlMessage(){
    return getMessage(getZeitstempelEinzahlMessageKey());
  }

  public String getZeitstempelMehrzahlMessage(){
    return getMessage(getZeitstempelMehrzahlMessageKey());
  }



  public boolean isZeitstempelRequired() {
    return !ErgebnisConstants.ZEITSTEMPEL_NULLABLE;
  }

  public java.util.Date getZeitstempelDefaultValue() {
    return ErgebnisConstants.ZEITSTEMPEL_DEFAULT_VALUE;
  }



  public String getWahlEinzahlMessageKey(){
    return ErgebnisConstants.MESSAGE_KEY_WAHL_ID_EINZAHL;
  }

  public String getWahlEinzahlMessage(){
    return getMessage(getWahlEinzahlMessageKey());
  }

  public boolean isWahlRequired() {
    return !ErgebnisConstants.WAHL_ID_NULLABLE;
  }

}